#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-haskell-ci-z-haskell-ci-internal
version:              0.14.3
package-name:         haskell-ci
lib-name:             haskell-ci-internal
id:                   haskell-ci-0.14.3-Z8v9lCL6CZ6pI5zNorts9-haskell-ci-internal
key:                  haskell-ci-0.14.3-Z8v9lCL6CZ6pI5zNorts9-haskell-ci-internal
license:              GPL-3.0-or-later
maintainer:           hvr@gnu.org
author:               Herbert Valerio Riedel, Oleg Grenrus
homepage:             https://haskell-ci.rtfd.org/
synopsis:             Cabal package script generator for Travis-CI
description:
    Script generator (@haskell-ci@) for
    [GitHub Actions](https://docs.github.com/en/actions) and
    [Travis-CI](https://travis-ci.org/)
    for continuous-integration testing of Haskell Cabal packages.

    Included features (not limited to):

    * Multiple GHC support
    * Dependency caching
    * cabal.project support (see [Nix-style local builds documentation](https://cabal.readthedocs.io/en/latest/nix-local-build-overview.html))
    * Runs tests and builds benchmarks
    * Generates Haddocks
    * GHCJS support
    * building with specific constraints

    === Quick Start Guide

    Add a @tested-with@ line to your @.cabal@ file (e.g. @tested-with: GHC == 8.0.2 || == 8.2.2@) and then run @haskell-ci yourpackage.cabal -o .travis.yml@ to generate the Travis-CI job script.

    See @haskell-ci --help@ for more information.

category:             Development
abi:                  fb07172e676eed8fb267ca5fa1d29cd2
exposed-modules:
    HaskellCI HaskellCI.Auxiliary HaskellCI.Bash
    HaskellCI.Bash.Template HaskellCI.Cli HaskellCI.Compiler
    HaskellCI.Config HaskellCI.Config.ConstraintSet
    HaskellCI.Config.CopyFields HaskellCI.Config.Docspec
    HaskellCI.Config.Doctest HaskellCI.Config.Dump
    HaskellCI.Config.Empty HaskellCI.Config.Folds
    HaskellCI.Config.HLint HaskellCI.Config.Installed
    HaskellCI.Config.Jobs HaskellCI.Config.PackageScope
    HaskellCI.Config.Ubuntu HaskellCI.Config.Validity
    HaskellCI.Diagnostics HaskellCI.Error HaskellCI.GitConfig
    HaskellCI.GitHub HaskellCI.GitHub.Yaml HaskellCI.HeadHackage
    HaskellCI.Jobs HaskellCI.List HaskellCI.MonadErr HaskellCI.Newtypes
    HaskellCI.OptionsGrammar HaskellCI.OptparseGrammar
    HaskellCI.Package HaskellCI.ParsecUtils HaskellCI.Prelude
    HaskellCI.Sh HaskellCI.ShVersionRange HaskellCI.TestedWith
    HaskellCI.Tools HaskellCI.Travis HaskellCI.Travis.Yaml
    HaskellCI.VersionInfo HaskellCI.YamlSyntax

import-dirs:          /usr/lib/ghc-9.2.8/site-local/haskell-ci-0.14.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/haskell-ci-0.14.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ci
hs-libraries:
    HShaskell-ci-0.14.3-Z8v9lCL6CZ6pI5zNorts9-haskell-ci-internal

depends:
    Cabal-3.6.3.0 HsYAML-0.2.1.3-BSw5iGghUXFEHQj4fkuojC
    ShellCheck-0.10.0-9GZld1UNlTT3RSo4heWzZf
    aeson-2.1.2.1-Hmx6V7500mlHwEWmxxTOFD
    attoparsec-0.14.4-G298qJHRQRHDUL2EvWnXPT base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd
    base16-bytestring-1.0.2.0-9Uw7FmZioqV3AZ8gfMgJAR binary-0.8.9.0
    bytestring-0.11.4.0
    cabal-install-parsers-0.4.5-J0ZN4SqgFiO3TpbmBuPqFB
    containers-0.6.5.1
    cryptohash-sha256-0.11.102.1-8gKyaJeZJSr76U5PwbHFEh deepseq-1.4.6.1
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    generic-lens-lite-0.1.1-GULWG5BLcji7nfsp1xeMeq
    indexed-traversable-0.1.4-32pdjkjokVdFygoHShOR8n
    indexed-traversable-instances-0.1.2-8J4U6BwVpvf4rVVlL0CEnf
    ini-0.4.2-ECsY7PIituC92ImiliQgk9
    lattices-2.2-F2XrN2iHReVAwxwZaFzCn3 mtl-2.2.2
    network-uri-2.6.4.2-6VqpyUBBADTBIJG362I2qa
    optparse-applicative-0.17.1.0-51ozKlq3KWwz62S2JV9Uu parsec-3.1.15.0
    pretty-1.1.3.6 process-1.6.16.0
    temporary-1.3-J8YlQhfvt8Y7Zn5yJmrXVL text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-synCBDLh0NACk48p5Re76
    zinza-0.2-KUCN8mNYOde2cM5ORgh3Bn

haddock-interfaces:   /usr/share/doc/haskell-ci/html/haskell-ci.haddock
haddock-html:         /usr/share/doc/haskell-ci/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

